<?php
namespace nur\b\params\impl;

use nur\b\params\IParametrable;
use nur\b\params\Tparametrable1;

class BPC1 implements IParametrable {
  use Tparametrable1;

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "top-string" => "string",
    "top-nstring" => "?string",
    "top-bool" => "bool",
    "top-nbool" => "?bool",
  ];

  /** @var string */
  protected $ppTopString, $ppTopNstring;
  /** @var bool */
  protected $ppTopBool, $ppTopNbool;

  function getTopData(): array {
    return [$this->ppTopString, $this->ppTopNstring, $this->ppTopBool, $this->ppTopNbool];
  }
}
